//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "PlayList.h"
#include "CDView.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TListForm *ListForm;
//---------------------------------------------------------------------------
__fastcall TListForm::TListForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TListForm::FormActivate(TObject *Sender)
{
  int Pos;
  char ItemTitle[4];
  TListItem *Item;
  TrackInfo ti;

  TrackList->Items->Clear();              
  for (Pos = 1; Pos <= CDForm->TrackMgr->NumTracks; Pos++) {
    ti = CDForm->TrackMgr->GetTrack(Pos);
    if (ti.Title.Length() > 0) {
      sprintf(ItemTitle, "%03d", Pos);
      Item = TrackList->Items->Add();
      Item->Caption = ItemTitle;
      Item->SubItems->Add(ti.Title);
      Item->SubItems->Add(ti.Length);
    }
  }
  TrackList->AlphaSort();
}
//---------------------------------------------------------------------------
