//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "FUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CopyFile(char *Loc1, char *Loc2)
{
  int Handle1, Handle2, Ret;
  long Size1;
  void *Buf;

  Handle1 = open(Loc1, O_RDONLY | O_BINARY);
  Handle2 = open(Loc2, O_WRONLY | O_TRUNC | O_CREAT);

  if (Handle1 == -1) {
    ShowMessage("Can't open source file");
    return;
  }
  if (Handle2 == -1) {
    ShowMessage("Can't open target file");
    return;
  }

  Size1 = filelength(Handle1);
  //ShowMessage(Size1);

  while(1) {
    Ret = read(Handle1, Buf, 1);
    if (Ret == 0) break;
    if (Ret == -1) {
      if (errno == EACCES) ShowMessage("Permission denied");
      else if (errno == EBADF) ShowMessage("Bad File");
      ShowMessage("Can't read file");
      return;
    }
    write(Handle2, Buf, 1);
  }
  close(Handle1);
  close(Handle2);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Application->ProcessMessages();
  CopyFile("C:\\Temp\\T1.txt", "C:\\Temp\\T2.txt");
  ShowMessage("Done");        
}
//---------------------------------------------------------------------------

