//---------------------------------------------------------------------------
#ifndef TxtUnitH
#define TxtUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <ClipBrd.hpp>
#include <FStream.h>
//---------------------------------------------------------------------------
const short ctCut = 0x2;
const short ctCopy = 0x3;
//---------------------------------------------------------------------------
class TTxtForm : public TForm
{
__published:	// IDE-managed Components
        TRichEdit *Memo;
        TMainMenu *MainMenu1;
        TMenuItem *MFile;
        TMenuItem *MEdit;
        TMenuItem *MOpen;
        TOpenDialog *OpenDiag;
        TSaveDialog *SaveDiag;
        TMenuItem *N1;
        TMenuItem *MExit;
        TMenuItem *MNew;
        TMenuItem *MSave;
        TMenuItem *MSaveAs;
        TMenuItem *MOptions;
        TMenuItem *MFont;
        TMenuItem *MWrap;
        TFontDialog *FontDiag;
        TMenuItem *MUndo;
        TMenuItem *N2;
        TMenuItem *MCut;
        TMenuItem *MCopy;
        TMenuItem *MPaste;
        TMenuItem *MDel;
        TMenuItem *N3;
        TMenuItem *MPrint;
        TPrintDialog *PrintDiag;
        TMenuItem *MSearch;
        TMenuItem *MFind;
        TFindDialog *FindDiag;
        TMenuItem *MFNext;
        TReplaceDialog *ReplaceDiag;
        TMenuItem *MReplace;
        TMenuItem *MHelp;
        TMenuItem *MAbout;
        void __fastcall MenuClick(TObject *Sender);
        void __fastcall FontApply(TObject *Sender, HWND Wnd);
        void __fastcall FindNext(TObject *Sender);
        void __fastcall ReplaceNext(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
  AnsiString FileName;

  bool CheckSave();
  void DoCutCopy(short CopyType);
  void DoDelete();
  void DoPaste();
  void DoPrint();
  void DoWordWrap();
  void LoadFile();
  void NewFile();
  bool SaveFile();
public:		// User declarations
        __fastcall TTxtForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTxtForm *TxtForm;
//---------------------------------------------------------------------------
#endif
