//---------------------------------------------------------------------------
#ifndef FVExtraH
#define FVExtraH
//---------------------------------------------------------------------------
#include <dstring.h>
#include <inifiles.hpp>
//---------------------------------------------------------------------------
class TFVManager
{
private:	// User declarations
  TFont *OFont;
  TColor FBackCl;
  TColor FFileCl;
  TColor FDirCl;

public:		// User declarations
  int MainWidth, MainHeight;
  int PropWidth, PropHeight;
  int SearchHeight, SearchWidth;

  __fastcall TFVManager();
  __fastcall ~TFVManager();
  void LoadOptions(AnsiString Loc);
  void LoadProgramLocations(AnsiString Loc);
  void SaveOptions(AnsiString Loc);
  void SetupUserInterface(short FormNum);
};
//---------------------------------------------------------------------------
extern PACKAGE TFVManager *FVManager;
//---------------------------------------------------------------------------
#endif
