//---------------------------------------------------------------------------
#ifndef ImgUnitH
#define ImgUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <JPeg.hpp>
#include <Math.h>
#include <Buttons.hpp>
#include <Menus.hpp>
#include "RotImage.hpp"
#include "Gif.hpp"
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------
class TImgForm : public TForm
{
__published:
        TOpenDialog *PicFind;
        TGif *Image1;
        TMainMenu *Menu1;
        TMenuItem *File_M;
        TMenuItem *Load_M;
        TMenuItem *Exit_M;
        TMenuItem *Zoom_M;
        TMenuItem *ZOut_M;
        TMenuItem *ZIn_M;
        TMenuItem *Full_M;
        TMenuItem *Orig_M;
        TMenuItem *Img_M;
        TMenuItem *Rotate1_M;
        TMenuItem *Rotate2_M;
        TMenuItem *Rotate3_M;
        TMenuItem *Flip_M;
        TMenuItem *Mirror_M;
        TControlBar *ControlBar;
        TToolBar *MenuBar;
        TPanel *Zoom_P;
        TToolButton *File_TB;
        TToolButton *Zoom_TB;
        TToolButton *Img_TB;
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall Menu1Click(TObject *Sender);

private:
  double CurZoom;
  int FormWidth;
  int FormHeight;
  int ImgWidth;
  int ImgHeight;
  double MaxZoom;
  double MinZoom;
  AnsiString OldFileName;
  AnsiString Params;

  void __fastcall ChangeZoom(short Dir);
  void __fastcall Load_Bitmap(const AnsiString BName);
  void __fastcall Load_Icon(const AnsiString IcoName);
  void __fastcall Load_Image(const AnsiString IName);
  void __fastcall Load_JPeg(const AnsiString JName);
  void __fastcall PositionImage(double Zoom, bool Setup);
  void __fastcall Rotate(TRotationType Ang);
public:
  __fastcall TImgForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TImgForm *ImgForm;
//---------------------------------------------------------------------------
#endif
