//---------------------------------------------------------------------------
#ifndef RegFormH
#define RegFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Registry.hpp>
#include <FStream.h>
//---------------------------------------------------------------------------
class TRegLearn
{
private:
  TRegistry *FReg;
  AnsiString FExeName;
  AnsiString FExt;
  AnsiString FDesc;
  AnsiString FIconLoc;
  int FIconNum;
  int FRunType;

  bool Find_Key(const bool Open, AnsiString Name);
  void Find_Program_Icon(AnsiString Name);
  int GetRunType(AnsiString E);
  AnsiString Read_KeyStr(AnsiString Name);

public:
  __fastcall TRegLearn(void);
  __fastcall ~TRegLearn(void);

  void AddFVFileTypes();
  bool Search_Ext(AnsiString Ext);
  void StartRead();
};
//---------------------------------------------------------------------------
class TLearnForm : public TForm
{
__published:
  TProgressBar *ProgressBar;
  TLabel *EInfo1_L;
  TLabel *EInfo2_L;
  TLabel *CurExt_L;
  TLabel *CurPos_L;
        TButton *Close_B;
  void __fastcall FormActivate(TObject *Sender);
        void __fastcall Close_BClick(TObject *Sender);
private:
  TRegLearn *RegLearn;
public:
  __fastcall TLearnForm(TComponent* Owner);
  __fastcall ~TLearnForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TLearnForm *LearnForm;
//---------------------------------------------------------------------------
#endif
