//---------------------------------------------------------------------------
#ifndef RegLearnH
#define RegLearnH
//---------------------------------------------------------------------------
#include <Registry.hpp>
#include <iostream.h>
#include <conio.h>
#include <FStream.h>
//---------------------------------------------------------------------------
class RegLearn
{
private:
  TRegistry *FReg;
  AnsiString FExeName;
  AnsiString FExt;
  AnsiString FDesc;
  AnsiString FIconLoc;
  int FIconNum;
  int FRunType;

  bool Find_Key(const bool Open, AnsiString Name);
  void Find_Program_Icon(AnsiString Name);
  int GetRunType(AnsiString E);
  AnsiString Read_KeyStr(AnsiString Name);

public:
  __fastcall RegLearn(void);
  __fastcall ~RegLearn(void);

  bool Search_Ext(AnsiString Ext);
  void StartRead();
};
//---------------------------------------------------------------------------
#endif
