//---------------------------------------------------------------------------
#ifndef Search_FormH
#define Search_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
#include <Stdio.h>
#include <String.h>
#include <Masks.hpp>
#include "DirList.h"
#include "ButtonWithColor.hpp"
//---------------------------------------------------------------------------
class TSearchForm : public TForm
{
__published:	// IDE-managed Components
  TButton *Ok_B;
  TListView *FilesFound;
  TPanel *Loc_P;
  TButton *Loc_B;
  TDirList *LocDir;
        TLabel *Found_L;
        TButton *Cancel_B;
        TPageControl *SPageControl;
        TTabSheet *Opts1;
        TEdit *Name_E;
        TLabel *SInfo1_L;
        TTabSheet *Opts2;
        TLabel *SInfo3_L;
        TCheckBox *SLeast_CB;
        TCheckBox *SMost_CB;
        TEdit *SMost_E;
        TEdit *SLeast_E;
        TUpDown *SLeast_UD;
        TUpDown *SMost_UD;
        TComboBox *SMostUnit;
        TComboBox *SLeastUnit;
        TEdit *LookIn_E;
        TLabel *SInfo2_L;
        TSpeedButton *Browse_B;
        TTabSheet *Opts3;
        TCheckBox *SubDir_CB;
        TCheckBox *Case_CB;
  void __fastcall ButtonClick(TObject *Sender);
  void __fastcall FormActivate(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);

private:	// User declarations
  AnsiString FSearch;
  //bool EvalExt;
  //bool EvalName;
  //char SFName[MAXPATH];
  //char SFExt[MAXPATH];
  int MinSize;
  int MaxSize;
  int NumFound;
  
  //bool __fastcall AddFile(AnsiString FName);
  //bool __fastcall CompNames(char *Name1, char *Name2);
  //bool __fastcall CompNames(char Name1, char Name2);
  void __fastcall DoSearch(AnsiString FileName);
  void __fastcall StartSearch();
  bool SearchDone;
public:		// User declarations
   __fastcall TSearchForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSearchForm *SearchForm;
//---------------------------------------------------------------------------
#endif
